Announcement

Collapse
No announcement yet.

NVIDIA GameWorks Integration

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    Originally posted by Maxime.Dupart View Post
    Also: i realised that current wavework version from github requires CUDA processing, which means no AMD support.
    Am I reading this branch right?

    https://github.com/MaximeDup/UnrealE...4.18-GameWorks

    At the top, it mentions Waveworks, but it's not mentioned in the README.

    It looks like it's got Blast, Flex, Flow, VXGI, HBAO+ and Hairworks?

    Comment


      Thanks for your awesome "Nvidia GameWorks builds | 4.17.2" @Maxime.Dupart but I could not add TrueSky to that, which the same way as i did before for Nvidia VXGI 4.17.2.

      Could it be a suggestion for that? - I mean, is it possible to add TrueSky?

      Comment


        Originally posted by ClockworkGate View Post

        Am I reading this branch right?

        https://github.com/MaximeDup/UnrealE...4.18-GameWorks

        At the top, it mentions Waveworks, but it's not mentioned in the README.

        It looks like it's got Blast, Flex, Flow, VXGI, HBAO+ and Hairworks?
        The 4.18 version only have blast and Flow right now, i should actually update this branch as it was published before Nvidia officially released neither of those.

        Originally posted by CGICollector View Post
        Thanks for your awesome "Nvidia GameWorks builds | 4.17.2" @Maxime.Dupart but I could not add TrueSky to that, which the same way as i did before for Nvidia VXGI 4.17.2.

        Could it be a suggestion for that? - I mean, is it possible to add TrueSky?
        I've no experience with Truesky unfortunately (as much as i would like to.. ! ^^ $$$ ) The trouble is that Nvidia package are changing the engine source code. Which means that your precompiled plugin might not work (assuming you don't have access to TrueSky source code).

        There might be overlapping requirements/modification in one of the Nvidia GameWorks, If you test the various gameworks to find the one that is causing the issue we could make a UE4 build without the package causing trouble.
        I would start by testing Hairworks
        Last edited by MaximeDupart; 11-29-2017, 11:43 AM.
        LinkedIn | Link custom Shaders | Atmosphere Modelisation & Procedural Planets | Distance Matching Locomotion | Nvidia GameWorks builds - 4.19.2 : VXGI2.0, Blast, HairWorks, Flow - Plugins: VictoryBP

        Comment


          Originally posted by Maxime.Dupart View Post
          The 4.18 version only have blast and Flow right now, i should actually update this branch as it was published before Nvidia officially released neither of those.
          It would be wonderful if you had the chance.
          Last edited by ClockworkGate; 12-01-2017, 02:44 AM.

          Comment


            First post here, and new to UE4, so bear with my noobyness. Sorry if this has been discussed here before.

            I'm trying to import an .apx Hairworks file saved out of the Hairworks viewer into the latest version of UE, but I don't even see the .apx file option on the import list. Won't read the .apx file, and drag and drop doesn't work either.

            I'm using the regular version of UE 4.18.1 downloaded through the launcher, do I need to build UE from the source code to use GameWorks effects?

            Many thanks.

            Comment


              Originally posted by CGICollector View Post
              Thanks for your awesome "Nvidia GameWorks builds | 4.17.2" @Maxime.Dupart but I could not add TrueSky to that, which the same way as i did before for Nvidia VXGI 4.17.2.

              Could it be a suggestion for that? - I mean, is it possible to add TrueSky?
              TrueSky can merge to branch 4.17.2 that Maxime made perfect, I did it !

              Comment


                Hi. Pls don't blame me. I'm a new one here. I had a long way with trying to add flex to Unreal. Have many problems. And now I compiled UE4 and have 15 errors:
                Severity Code Description Project File Line Suppression State
                Error C2187 синтаксическая ошибка: непредвиденный здесь элемент "идентификатор" UE4 C:\Program Files (x86)\Windows Kits\8.1\include\um\combaseapi.h 229
                Error C2187 синтаксическая ошибка: непредвиденный здесь элемент "идентификатор" ShaderCompileWorker C:\Program Files (x86)\Windows Kits\8.1\include\um\combaseapi.h 229
                Error C2187 синтаксическая ошибка: непредвиденный здесь элемент "идентификатор" ShaderCompileWorker C:\Program Files (x86)\Windows Kits\8.1\include\um\combaseapi.h 229
                Error C2187 синтаксическая ошибка: непредвиденный здесь элемент "идентификатор" ShaderCompileWorker C:\Program Files (x86)\Windows Kits\8.1\include\um\combaseapi.h 229
                Error C2187 синтаксическая ошибка: непредвиденный здесь элемент "идентификатор" ShaderCompileWorker C:\Program Files (x86)\Windows Kits\8.1\include\um\combaseapi.h 229
                Error C2187 синтаксическая ошибка: непредвиденный здесь элемент "идентификатор" ShaderCompileWorker C:\Program Files (x86)\Windows Kits\8.1\include\um\combaseapi.h 229
                Error C2187 синтаксическая ошибка: непредвиденный здесь элемент "идентификатор" ShaderCompileWorker C:\Program Files (x86)\Windows Kits\8.1\include\um\combaseapi.h 229
                Error C2187 синтаксическая ошибка: непредвиденный здесь элемент "идентификатор" ShaderCompileWorker C:\Program Files (x86)\Windows Kits\8.1\include\um\combaseapi.h 229
                Error Failed to produce item: G:\UnrealEngine-FleX-4.17.1\Engine\Intermediate\Build\Win64\ShaderCompileWorker\Development\ShaderCompileWorker-Core.lib ShaderCompileWorker G:\UnrealEngine-FleX-4.17.1\Engine\Intermediate\ProjectFiles\ERROR 1
                Error MSB3075 The command "..\..\Build\BatchFiles\Build.bat ShaderCompileWorker Win64 Development -waitmutex" exited with code 5. Please verify that you have sufficient rights to run this command. ShaderCompileWorker C:\Program Files (x86)\Microsoft Visual Studio\2017\Community\Common7\IDE\VC\VCTargets\Microsoft.MakeFile.Targets 44
                Error C2187 синтаксическая ошибка: непредвиденный здесь элемент "идентификатор" UE4 C:\Program Files (x86)\Windows Kits\8.1\include\um\combaseapi.h 229
                Error C2187 синтаксическая ошибка: непредвиденный здесь элемент "идентификатор" UE4 C:\Program Files (x86)\Windows Kits\8.1\include\um\combaseapi.h 229
                Error Failed to produce item: G:\UnrealEngine-FleX-4.17.1\Engine\Intermediate\Build\Win64\UnrealHeaderTool\Development\UnrealHeaderTool-Core.lib UE4 G:\UnrealEngine-FleX-4.17.1\Engine\Intermediate\ProjectFiles\ERROR 1
                Error UnrealHeaderTool failed for target 'UE4Game' (platform: Win64, module info: G:\UnrealEngine-FleX-4.17.1\Engine\Intermediate\Build\Win64\UE4Game\Development\UE4Game.uhtmanifest, exit code: OtherCompilationError (5)). UE4 G:\UnrealEngine-FleX-4.17.1\Engine\Intermediate\ProjectFiles\EXEC 1
                Error MSB3075 The command "..\..\Build\BatchFiles\Build.bat UE4Game Win64 Development -waitmutex" exited with code 5. Please verify that you have sufficient rights to run this command. UE4 C:\Program Files (x86)\Microsoft Visual Studio\2017\Community\Common7\IDE\VC\VCTargets\Microsoft.MakeFile.Targets 44

                sorry about Russian. Don't know why it is don't change to Eng in options.

                Comment


                  I did it, too. But it has some bugs in waveworks_gdc_map.

                  Comment


                    The problem was solved by increasing it.

                    Comment


                      I am super interested in VR Works’ VR SLI. Any pointers in setting it up? (Downloaded VR Works UE4 from git, but won’t compile.)

                      Comment


                        Which is the branch to download that has integrated VXGI and HBAO+ I download this https://github.com/MaximeDup/UnrealE...4.18-GameWorks but after building it I can't find/run VXGI

                        Comment


                          Originally posted by Stermo View Post
                          Which is the branch to download that has integrated VXGI and HBAO+ I download this https://github.com/MaximeDup/UnrealE...4.18-GameWorks but after building it I can't find/run VXGI
                          In this 4.18 version there's only Blast and Flow.

                          The most complete version to date is the 4.17 https://github.com/MaximeDup/UnrealEngine

                          Keep in mind that using waveworks as it's available from nvidia repository, and as i implemented it, rely on the usage of CUDA cores which means it will only run on Nvidia GPU. If you want extended usage, or even the CPU-based version you have to contact Nvidia for licensing. That's what i understood at least.


                          From https://github.com/NvPhysX/UnrealEng...WaveWorks_4.18 Readme file :

                          "The UE4-WaveWorks branch offers you the opportunity to explore WaveWorks with the support of the UE4 rendering pipeline and editor system. The WaveWorks library provided in this branch requires a CUDA-capable GPU. For builds supporting CPU and Direct Compute as well as licensing inquiries, please contact us at visualfx-licensing@nvidia.com."
                          Last edited by MaximeDupart; 12-04-2017, 06:22 AM.
                          LinkedIn | Link custom Shaders | Atmosphere Modelisation & Procedural Planets | Distance Matching Locomotion | Nvidia GameWorks builds - 4.19.2 : VXGI2.0, Blast, HairWorks, Flow - Plugins: VictoryBP

                          Comment


                            Comment


                              Hello!
                              I see that it's already been asked before, but I am really looking forward to work with VXGI. And unfortunately all my stuff is currently upgraded to newest version of the engine.
                              Any updates on VXGI for UE4 4.18 version?

                              Comment


                                I'm having a heck of a time creating an installed build of this (4.17 branch). I'm doing Win64 only. I can compile and run everything fine, but when I try and run a BuildGraph script to spit out an installed build (after fixing dozens of other issues, warnings and errors), UnrealEd.exe won't start. Anyone else successfully get an installed build working?

                                Comment

                                Working...
                                X